%define name	gibbs
%define version	9.95
%define tag	9_95
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Gibbs motif sampler
Group:		Sciences/Biology
License:	Public Domain
Source:		%{name}%{tag}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}
Conflicts:	nmh

%description
Gibbs motif sampler developed by A. Neuwald at the NCBI

References for Gibbs:

Neuwald, Liu, & Lawrence (1995)
"Gibbs motif sampling: detection of bacterial outer membrane protein
repeats"
Protein Science 4, 1618-1632.

Lawrence, Altschul, Boguski, Liu, Neuwald & Wootton (1993)
"Detecting Subtle Sequence Signals: A Gibbs Sampling Strategy for
Multiple Alignment"
Science 262:208-214.

%prep
%setup -q -n %{name}%{tag}

%build
cd code
%make CFLAGS="$RPM_OPT_FLAGS" LIBS="-lm"

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 gibbs $RPM_BUILD_ROOT%{_bindir}
install -m 755 purge $RPM_BUILD_ROOT%{_bindir}
install -m 755 scan  $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README demo demo.out examples
%{_bindir}/*

%changelog
* Fri May 23 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 9.95-2mdk
- explicit conflict with nmh

* Thu May 22 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 9.95-1mdk
- first mdk release with a spec stolen from Luc Ducazu <luc@biolinux.org>
